summaryrefslogtreecommitdiffstats
path: root/packaging/docker/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/docker/run.sh')
-rw-r--r--packaging/docker/run.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/packaging/docker/run.sh b/packaging/docker/run.sh
new file mode 100644
index 000000000..243cae8a2
--- /dev/null
+++ b/packaging/docker/run.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+#set -e
+
+if [ ${RESCRAMBLE+x} ]; then
+ echo "Reinstalling all packages to get the latest Polymorphic Linux scramble"
+ apk upgrade --update-cache --available
+fi
+
+if [ ${PGID+x} ]; then
+ echo "Adding user netdata to group with id ${PGID}"
+ addgroup -g "${PGID}" -S hostgroup 2>/dev/null
+ sed -i "s/${PGID}:$/${PGID}:netdata/g" /etc/group
+fi
+
+exec /usr/sbin/netdata -u netdata -D -s /host -p "${NETDATA_PORT}" "$@"